aboutsummaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'init.d')
-rw-r--r--init.d/savecache.in8
1 files changed, 8 insertions, 0 deletions
diff --git a/init.d/savecache.in b/init.d/savecache.in
index 373da1fa..581be598 100644
--- a/init.d/savecache.in
+++ b/init.d/savecache.in
@@ -13,6 +13,14 @@ start()
return 1
fi
fi
+ if ! checkpath -W "$RC_LIBEXECDIR"; then
+ ewarn "WARNING: ${RC_LIBEXECDIR} is not writable!"
+ if ! yesno "${RC_GOINGDOWN}"; then
+ ewarn "Unable to save deptree cache"
+ return 1
+ fi
+ return 0
+ fi
ebegin "Saving dependency cache"
local rc=
if [ ! -d "$RC_LIBEXECDIR"/cache ]; then